%define anolis_release 4

%define libapivermajor 1
%define libapiversion %{libapivermajor}.9

Name:    keyutils
Version: 1.6.1
Release: %{anolis_release}%{?dist}
Summary: Linux Key Management Utilities

License: GPLv2+ and LGPLv2+
Url:     http://people.redhat.com/~dhowells/keyutils/
Source0: http://people.redhat.com/~dhowells/keyutils/keyutils-%{version}.tar.bz2

BuildRequires: gcc
BuildRequires: glibc-kernheaders >= 2.4-9.1.92
BuildRequires: make
Requires: %{name}-libs = %{version}-%{release}

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to user space to get a key
instantiated.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package libs
Summary: Key utilities library

%description libs
This package provides a wrapper library for the key management facility system
calls.

%package libs-devel
Summary: Development package for building Linux key management utilities
Requires: %{name}-libs = %{version}-%{release}

%description libs-devel
This package provides headers and libraries for building key utilities.

%prep
%autosetup

%build
make \
	NO_ARLIB=1 \
	ETCDIR=%{_sysconfdir} \
	LIBDIR=%{_libdir} \
	USRLIBDIR=%{_libdir} \
	BINDIR=%{_bindir} \
	SBINDIR=%{_sbindir} \
	MANDIR=%{_mandir} \
	INCLUDEDIR=%{_includedir} \
	SHAREDIR=%{_datadir}/%{name} \
	RELEASE=.%{release} \
	NO_GLIBC_KEYERR=1 \
	CFLAGS="-Wall $RPM_OPT_FLAGS" \
	LDFLAGS="%{?__global_ldflags}"

%install
make \
	NO_ARLIB=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	ETCDIR=%{_sysconfdir} \
	LIBDIR=%{_libdir} \
	USRLIBDIR=%{_libdir} \
	BINDIR=%{_bindir} \
	SBINDIR=%{_sbindir} \
	MANDIR=%{_mandir} \
	INCLUDEDIR=%{_includedir} \
	SHAREDIR=%{_datadir}/%{name} \
	install

%generate_compatibility_deps

%ldconfig_scriptlets libs

%files
%license LICENCE.GPL
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/keyctl
%{_sbindir}/key.dns_resolver
%{_sbindir}/request-key
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files doc
%doc README

%files libs
%dir %{abidir}
%license LICENCE.LGPL
%{_libdir}/libkeyutils.so.%{libapiversion}
%{_libdir}/libkeyutils.so.%{libapivermajor}
%{_mandir}/man7/*
%{abidir}/libkeyutils.dump

%files libs-devel
%{_libdir}/libkeyutils.so
%{_includedir}/keyutils.h
%{_libdir}/pkgconfig/libkeyutils.pc
%{_mandir}/man3/*

%changelog
* Wed Dec 28 2022 Heng Qi <hengqi@linux.alibaba.com> - 1.6.1-4
- change 'setup -q' to 'autosetup'

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.1-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.1-2
- add doc package

* Mon Mar 14 2022 Peng Zhou <zhoupeng@linux.alibaba.com> - 1.6.1-1
- Initial packaging for Anolis OS 23
